@echo off
if "%2" == "..1.14" goto us1
cls
echo - For use with FWKCS(TM) Contents_Signature System, Version 1.14.
echo - (C)Copyright Frederick W. Kantor 1990-1991. All rights reserved.
echo -
:us1
echo -  CSFILKIT.BAT to find and count files which have
echo -               the same contents_signature(s),
echo -
echo -               prepare tabulated reports on file groupings,
echo -
echo -               make sublists of contents_signatures.
echo -
echo -  This program is for use in your \cs subdirectory,
echo -  after CSLIST.SRT has been created or revised.
echo -  (See SETUP.114, section 4.)
echo -
echo - Usage:
echo -
echo -      CSFILKIT "<enter>"
echo -
if "%1" == "/*" goto us2
echo -
echo -     To quit, press Ctrl+C, then y
echo -
pause
if exist cslist.srt goto bb
echo -
echo -  did not find CSLIST.SRT
echo -
goto us2
:bb
find   "z" <cslist.srt >zcs_list.srt
fwkcs/1sm zcs_list.srt zcs_dups
ren multcnt.rpt zcs_dups.rpt
find   "f" <cslist.srt >fcs_list.srt
fwkcs/1sm fcs_list.srt fcs_dups
ren multcnt.rpt fcs_dups.rpt
find /v"c" <cslist.srt >ics_list.srt
fwkcs/1sm ics_list.srt ics_dups
ren multcnt.rpt ics_dups.rpt
find /v"z" <cslist.srt >ficslist.srt
fwkcs/1sm ficslist.srt ficsdups
ren multcnt.rpt ficsdups.rpt
find "v" <cslist.srt | find /v "a" | find /v "z" | find /v "u" >unavinav.lst
cls
echo ------ These files have been created:
echo -  ZCS_LIST.SRT  list zipfile_contents_signature(s) (zcs) for zipfiles.
echo -  ZCS_DUPS  list of groups of zipfiles with matching
echo -            zipfile_contents_signature(s)  (zcs).
echo -  ZCS_DUPS.RPT report tabulating zcs grouping.
echo ------
echo -  FCS_LIST.SRT  list of file_contents_signature(s) (fcs) for non_zip files.
echo -  FCS_DUPS  list of groups of non_zip files with
echo -            matching file_contents_signature(s) (fcs).
echo -  FCS_DUPS.RPT report tabulating fcs grouping.
echo ------
echo -  ICS_LIST.SRT  list of contents_signature(s) (internal_cs (ics))
echo -                for files which are contained in zipfiles.
echo -  ICS_DUPS  list of groups of files which are contained in zipfiles,
echo -            with matching contents_signature(s) (internal_cs (ics)).
echo -  ICS_DUPS.RPT report tabulating ics grouping.
echo ------
echo -  FICSLIST.SRT  list of contents_signature(s) (file_cs + internal_cs (fics))
echo -                for plain files and files in zipfiles.
echo -  FICSDUPS  list of groups of plain files and files in zipfiles,
echo -            with matching contents_signature(s) (file_cs+internal_cs (fics)).
echo -  FICSDUPS.RPT report tabulating fics groupings.
echo ------
echo -  UNAVINAV.LST list of non_AV files found in AV_zipfiles.
:us2
if not "%2" == "..1.14" goto zz
if exist QUERYFLA.GUP attrib -r QUERYFLA.GUP > nul
if exist QUERYFLA.GUP del QUERYFLA.GUP > nul
:zz
